org.sunflow.core.shader

## Class TexturedWardShader

- java.lang.Object
- - org.sunflow.core.shader.AnisotropicWardShader
  - - org.sunflow.core.shader.TexturedWardShader

- All Implemented Interfaces:
    RenderObject, Shader

      public class TexturedWardShader
      extends AnisotropicWardShader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexturedWardShader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getDiffuse(ShadingState state)`
    `Color` | `getOpacity(ShadingState state)` Returns how much light is blocked by this shader.
    `boolean` | `isOpaque()` Returns `true` if this shader is fully opaque.
    `boolean` | `update(ParameterList pl, SunflowAPI api)` Update this object given a list of parameters.

    - ### Methods inherited from class org.sunflow.core.shader.AnisotropicWardShader

      `getRadiance, scatterPhoton`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TexturedWardShader

          public TexturedWardShader()

  - ### Method Detail

    - #### update

          public boolean update(ParameterList pl,
                                SunflowAPI api)

      Description copied from interface: `RenderObject`
      Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.
      Specified by:
        `update` in interface `RenderObject`
      Overrides:
        `update` in class `AnisotropicWardShader`
      Parameters:
        `pl` - list of parameters to read from
        `api` - reference to the current scene
      Returns:
        `true` if the update is succesfull, `false` otherwise

    - #### getDiffuse

          public Color getDiffuse(ShadingState state)

      Overrides:
        `getDiffuse` in class `AnisotropicWardShader`

    - #### isOpaque

          public boolean isOpaque()

      Description copied from interface: `Shader`
      Returns `true` if this shader is fully opaque. This gives a quick way to find out if a shader needs further processing when hit by a shadow ray.
      Specified by:
        `isOpaque` in interface `Shader`
      Overrides:
        `isOpaque` in class `AnisotropicWardShader`

    - #### getOpacity

          public Color getOpacity(ShadingState state)

      Description copied from interface: `Shader`
      Returns how much light is blocked by this shader.
      Specified by:
        `getOpacity` in interface `Shader`
      Overrides:
        `getOpacity` in class `AnisotropicWardShader`